
Tripnet - Bug #118894
B2B | USER AGENCY | NOT DISABLED
08/11/2022 11:16 am - Arun  Thomas

Status: For Review Start date: 08/11/2022
Priority: Normal Due date: 08/12/2022
Assignee: Nithin George % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.00 hours
End_Date: 08/12/2022 Areas Affected: B2B
remarks: DB Changes in [st_tripnetTT] Files Changed: B2Bweb/Areas/AdminWeb/Controllers/HomeController.cs

B2Bweb/Controllers/HomeController.cs

B2Bweb/Views/Home/Index.cshtml

CommonProjects/CommonDTOs/DTOs/UserDTO.cs

CommonProjects/DataProvider/DataAccess/UserDA.cs
DB Changes: SP Changes

************ 

- [SelectUserNameByIdAndPasswordNew]

- [SelectUserNameByIdAndPassword]Initial Planned Hours: 0
Keys & Permissions: nil
Description

In this case, while we deactivate a agency the users under this agency are not deactivated and the users are able to login. Please
check this case.

History
#1 - 08/11/2022 02:39 pm - Akshay Mohan

Arun  Thomas wrote:

In this case, while we deactivate a agency the users under this agency are not deactivated and the users are able to login. Please check this case.

1.Once the agency is disabled, disable all users under that agency.

2.Sales transactions of disabled agency to show in sales report (because they still show in ERP)

#2 - 08/12/2022 11:03 am - Nithin George
- Due date set to 08/12/2022
- Status changed from New to Assigned
- Assignee set to Florance Mary John

Check whether the User agency is active or not when a user tries to login

#3 - 08/12/2022 01:37 pm - Florance Mary John
- Status changed from Assigned to In Progress

#4 - 08/12/2022 03:44 pm - Florance Mary John
- File 118894.png added
- Status changed from In Progress to For Review
- Assignee changed from Florance Mary John to Nithin George
- % Done changed from 0 to 100
- End_Date set to 08/12/2022
- remarks set to DB Changes in [st_tripnetTT]
- DB Changes set to SP Changes
************ 
- [SelectUserNameByIdAndPasswordNew]
- [SelectUserNameByIdAndPassword]
- Keys & Permissions set to nil
- Areas Affected set to B2B
- Files Changed set to B2Bweb/Areas/AdminWeb/Controllers/HomeController.cs
B2Bweb/Controllers/HomeController.cs
B2Bweb/Views/Home/Index.cshtml
CommonProjects/CommonDTOs/DTOs/UserDTO.cs
CommonProjects/DataProvider/DataAccess/UserDA.cs

Checked whether the agency of a User is active or not when a user tries to login.
PFA
